FilterSettingsModel

9 Jul 20262 minutes to read

Interface for a class FilterSettings

Properties

columns PredicateModel[]

Specifies the columns to be filtered at initial rendering of the Grid. You can also get the columns that were currently filtered.

enableCaseSensitivity boolean

If enableCaseSensitivity is set to true then searches grid records with exact match based on the filter
operator. It will have no effect on number, boolean and Date fields.

enableInfiniteScrolling boolean

If enableInfiniteScrolling set to true, then the data will be loaded in Checkbox filter Popup content, when the scrollbar reaches the end.
This helps to load large dataset in Checkbox filter Popup content.

import { GridComponent, InfiniteScroll, Inject } from '@syncfusion/ej2-react-grids';
import * as React from 'react';
import { data } from './datasource';
export default class App extends React.Component<{}, {}>{
  public render(){
    return <GridComponent  dataSource={data} height={300} enableInfiniteScrolling={true}>
            <Inject services={[InfiniteScroll]}/>
        </GridComponent >
    } };

ignoreAccent boolean

If ignoreAccent set to true, then filter ignores the diacritic characters or accents while filtering.

Check the Diacritics filtering.

immediateModeDelay number

Defines the time delay (in milliseconds) in filtering records when the Immediate mode of filter bar is set.

itemsCount number

If enableInfiniteScrolling set to true, For on demand request, Gets data from the parent data source based on given number of records count.

loadingIndicator IndicatorType

Defines the loading indicator. The available loading indicator are:

  • Spinner
  • Shimmer

mode FilterBarMode|FilterMode

Defines the filter behavior for FilterBar, Excel, and Checkbox filter types.
The available options are,

  • onEnter: Initiates filter operation after Enter key is pressed (default for FilterBar).
  • onSubmit: Initiates filter operation only after clicking OK/Filter button (default for Excel and Checkbox filters).
  • Immediate: Initiates filter operation immediately on value change (check/uncheck, typing) with 1500ms debouncing.

operators ICustomOptr

The operators is used to override the default operators in filter menu. This should be defined by type wise
(string, number, date and boolean). Based on the column type, this customize operator list will render in filter menu.

Check the Filter Menu Operator customization.

showFilterBarOperator boolean

If ‘showFilterBarOperator’ is set to true, then it renders the dropdownlist component to select the operator
in filterbar input

showFilterBarStatus boolean

Shows or hides the filtered status message on the pager.

type FilterType

Defines options for filtering type. The available options are

  • Menu - Specifies the filter type as menu.
  • CheckBox - Specifies the filter type as checkbox.
  • FilterBar - Specifies the filter type as filterbar.
  • Excel - Specifies the filter type as checkbox.

Search results

FilterSettingsModel API in Vue Grid API component

Interface for a class FilterSettings

Properties

columns

PredicateModel[]

Specifies the columns to be filtered at initial rendering of the Grid. You can also get the columns that were currently filtered.

enableCaseSensitivity

boolean

If enableCaseSensitivity is set to true then searches grid records with exact match based on the filter operator. It will have no effect on number, boolean and Date fields.

enableInfiniteScrolling

boolean

If enableInfiniteScrolling set to true, then the data will be loaded in Checkbox filter Popup content, when the scrollbar reaches the end. This helps to load large dataset in Checkbox filter Popup content.

<template>
  <ejs-grid :dataSource="data" height="300" :enableInfiniteScrolling="true"></ejs-grid>
</template>
<script>
import Vue from "vue";
import { GridPlugin, VirtualScroll } from "@syncfusion/ej2-vue-grids";
import { data } from "./datasource";
Vue.use(GridPlugin);
export default {
  data() {
    return {
      data: data
    }; },
  provide: { grid: [VirtualScroll] }
};
</script>

ignoreAccent

boolean

If ignoreAccent set to true, then filter ignores the diacritic characters or accents while filtering.

Check the Diacritics filtering.

immediateModeDelay

number

Defines the time delay (in milliseconds) in filtering records when the Immediate mode of filter bar is set.

itemsCount

number

If enableInfiniteScrolling set to true, For on demand request, Gets data from the parent data source based on given number of records count.

loadingIndicator

IndicatorType

Defines the loading indicator. The available loading indicator are:

  • Spinner
  • Shimmer

mode

FilterBarMode

Defines the filter bar modes. The available options are,

  • OnEnter: Initiates filter operation after Enter key is pressed.
  • Immediate: Initiates filter operation after a certain time interval. By default, time interval is 1500 ms.

operators

ICustomOptr

The operators is used to override the default operators in filter menu. This should be defined by type wise (string, number, date and boolean). Based on the column type, this customize operator list will render in filter menu.

Check the Filter Menu Operator customization.

showFilterBarOperator

boolean

If ‘showFilterBarOperator’ is set to true, then it renders the dropdownlist component to select the operator in filterbar input

showFilterBarStatus

boolean

Shows or hides the filtered status message on the pager.

type

FilterType

Defines options for filtering type. The available options are

  • Menu - Specifies the filter type as menu.
  • CheckBox - Specifies the filter type as checkbox.
  • FilterBar - Specifies the filter type as filterbar.
  • Excel - Specifies the filter type as checkbox.

Syncfusion AI Assistant

How can I help you?

FilterSettingsModel

23 Sep 20252 minutes to read

Interface for a class FilterSettings

Properties

columns PredicateModel[]

Specifies the columns to be filtered at initial rendering of the Grid. You can also get the columns that were currently filtered.

enableCaseSensitivity boolean

If enableCaseSensitivity is set to true then searches grid records with exact match based on the filter
operator. It will have no effect on number, boolean and Date fields.

enableInfiniteScrolling boolean

If enableInfiniteScrolling set to true, then the data will be loaded in Checkbox filter Popup content, when the scrollbar reaches the end.
This helps to load large dataset in Checkbox filter Popup content.

<ejs-grid [dataSource]="data" height='300' enableInfiniteScrolling='true' > </ejs-grid>
import { Component, OnInit } from '@angular/core';
import { orderData } from './data';
import { GridComponent,InfiniteScrollService  } from '@syncfusion/ej2-angular-grids';
@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
    providers: [InfiniteScrollService]
})
export class AppComponent implements OnInit{
    public data: Object[];
    public ngOnInit(): void {
        this.data = orderData;
    }
}

ignoreAccent boolean

If ignoreAccent set to true, then filter ignores the diacritic characters or accents while filtering.

Check the Diacritics filtering.

immediateModeDelay number

Defines the time delay (in milliseconds) in filtering records when the Immediate mode of filter bar is set.

itemsCount number

If enableInfiniteScrolling set to true, For on demand request, Gets data from the parent data source based on given number of records count.

loadingIndicator IndicatorType

Defines the loading indicator. The available loading indicator are:

  • Spinner
  • Shimmer

mode FilterBarMode

Defines the filter bar modes. The available options are,

  • OnEnter: Initiates filter operation after Enter key is pressed.
  • Immediate: Initiates filter operation after a certain time interval. By default, time interval is 1500 ms.

operators ICustomOptr

The operators is used to override the default operators in filter menu. This should be defined by type wise
(string, number, date and boolean). Based on the column type, this customize operator list will render in filter menu.

Check the Filter Menu Operator customization.

showFilterBarOperator boolean

If ‘showFilterBarOperator’ is set to true, then it renders the dropdownlist component to select the operator
in filterbar input

showFilterBarStatus boolean

Shows or hides the filtered status message on the pager.

type FilterType

Defines options for filtering type. The available options are

  • Menu - Specifies the filter type as menu.
  • CheckBox - Specifies the filter type as checkbox.
  • FilterBar - Specifies the filter type as filterbar.
  • Excel - Specifies the filter type as checkbox.